Subject: bug#50141: Current part of emacs red, other parts blue

From: martin rudalics <[email-masked]>
Date: Sat, 21 Aug 2021 15:55:57 +0200

>> buffer-list-update-hook sounds like that infrastructure.

`window-selection-change-functions' please.

 > But I think the real problem is how to define a window-specific
 > default face.  It's not easy, and I'm not sure it will work.
 > Something using the :filtered thingy, I guess?  But I'm not sure it
 > will work for the default face.
 >
 > Basically, faces were never designed to be window-specific.  Even
 > making them buffer-specific (via face-remapping-alist) is somewhat
 > tricky.

Here I can write

(set-window-face-remapping-alist nil '((default (:background "yellow") default)))

It was pretty trivial to implement but lifting it from the rest of my
changes might be non-trivial.  If people are very, very interested, I
can give it a try.

martin